* Examples used in %JM Macro Reference Manual;
* Alberto Garcia-Hernandez, Dimitris Rizopoulow;

* This program fits the model of example 1;

libname  mydata  '/sas/user/u100683/JM/Data';                              *Change data location accordingly.;
                                                                           *You may need to replace / by \ depending on your environment;
options mautolocdisplay mautosource 
        sasautos = ("/sas/user/u100683/JM/macros/" sasautos);        *Change %JM macro location accordingly;
                                                                           *You may need to replace / by \ depending on your environment;

options  mprint nodate center;
%let folder = /sas/user/u100683/JM/Output/;                         * Change for the desired output location accordingly;
                                                                    * Do NOT quote the folder;
                                                                    * You may need to replace / by \ depending on your environment;

%macro repeat(n=, Inp=disjoint, nl=);
%JM(Data = mydata.aids,
    SubjectVar = patient,
	LongiType  = normal,
    LongiTimeModel = linear, 
    LongiVar = cd4,
    LongiTimevar = obstime, 
    LongiTimeInter = ddi, 
    LongiGMatrix = un,
    EventTimeVar = time, 
    EventVar = death, 
    EventVal = 1,
    EventModel = piecewise,
    EventCovariates = ddi,
	InitialParameters = &inp.,
    NLMIXEDOptions	= &nl.,	
    OutputParameters = mydata.Example1_param_&n.,
    SharedParam	= current_value,
    ListingFile = "&folder.Example_1ReferenceManual_&n..lst",
	OutputPredictions 	= XiBeta XiBeta_Zibi, 
	OutputPredictData 	= XiBeta XiBeta_Zibi, 
	AdditionalOptions = calculateexectime);
%mend repeat;
%repeat(n=0, nl=gconv=0 qpoints=5);
*%repeat(n=1, nl=gconv=0 qpoints=5 technique=dbldog);
*%repeat(n=2, nl=gconv=0 qpoints=5 technique=newrap);
*%repeat(n=3, nl=gconv=0 qpoints=5 technique=nrridg);
*%repeat(n=4, nl=gconv=0 qpoints=5 technique=trureg);

/*
proc sgplot data= XiBeta;
  series   x=obstime y=Pred  /legendlabel="Predictions"   group=ddi;
  scatter  x=obstime y=CD4  /legendlabel="Observations" group=ddi;
  where JMDist ="LONGI" ;

proc sgplot data= XiBeta_Zibi;
  series   x=obstime y=Pred  /legendlabel="Predictions";
  scatter  x=obstime y=CD4  /legendlabel="Observations";
  yaxis values=(0 to 25 by 5);
  where JMDist ="LONGI" and patient=10;
*/
