* Examples used in %JM Macro Reference Manual;
* Alberto Garcia-Hernandez, Dimitris Rizopoulow;

* This program fits the model of the example 2;

libname  mydata  '/sas/user/u100683/JM/Data';                              *Change data location accordingly.;
                                                                           *You may need to replace / by \ depending on your environment;
options mautolocdisplay mautosource 
        sasautos = ("/sas/user/u100683/JM/macros/" sasautos);        *Change %JM macro location accordingly;
                                                                           *You may need to replace / by \ depending on your environment;
options  mprint nodate center;
%let folder = /sas/user/u100683/JM/Output/;                         * Change for the desired output location accordingly;
                                                                    * Do NOT quote the folder;
                                                                    * You may need to replace / by \ depending on your environment;

%JM(		Data 			= mydata.pbc, 
			SubjectVar 		= id,
			LongiVar 		= logSerBilir,
            LongiTimeModel 	= spline,
			LongiTimevar 	= year, 
            LongiTimeInter  = d_pnc,
			LongiDegree		= 2,
            LongiCovariates = d_pnc, 
			LongiGMatrix 	= un,
			EventTimeVar	= years, 
			EventVar		= noalive, 
			EventVal		= 1,
			EventModel		= piecewise,
			EventCovariates = d_pnc hmg, 
			SharedParam    	= current_value,
			SharedParamInt  = hmg,
			NLMIXEDOptions	= qpoints=3 gconv=0,
			ListingFile 	= "&folder.Example2ReferenceManual.lst",
			AdditionalOptions = CalculateExecTime );
