* Examples used in %JM Macro Reference Manual;
* Alberto Garcia-Hernandez, Dimitris Rizopoulow;

* This program fits the model of example 3;

libname  mydata  '/sas/user/u100683/JM/Data';                              *Change data location accordingly.;
                                                                           *You may need to replace / by \ depending on your environment;
options mautolocdisplay mautosource 
        sasautos = ("/sas/user/u100683/JM/macros/" sasautos);        *Change %JM macro location accordingly;
                                                                           *You may need to replace / by \ depending on your environment;
options  mprint nodate center;
%let output = "/sas/user/u100683/JM/Output/Example_3ReferenceManual.lst";  *Change for the desired output location accordingly;
                                                                           *You may need to replace / by \ depending on your environment;

%JM(Data = mydata.aids,
    SubjectVar = patient,
	LongiType  = binary,
    LongiTimeModel = linear, 
    LongiVar = cd4_a30,
    LongiTimevar = obstime, 
    LongiTimeInter = ddi, 
    LongiGMatrix = un,
	LongiModelOptions = method=quad,
    EventTimeVar = time, 
    EventVar = death, 
    EventVal = 1,
    EventModel = piecewise,
    EventCovariates = ddi,
	NLMIXEDOptions	= gconv=0 qpoints=9,	
    OutputParameters = mydata.Example3_param,
    SharedParam	= current_value,
    ListingFile = &output.,
	AdditionalOptions = calculateexectime);


