* Examples used in %JM Macro Reference Manual;
* Alberto Garcia-Hernandez, Dimitris Rizopoulow;

* This program fits the model of example 4;

libname  mydata  '/sas/user/u100683/JM/Data';                              *Change data location accordingly.;
                                                                           *You may need to replace / by \ depending on your environment;
options mautolocdisplay mautosource 
        sasautos = ("/sas/user/u100683/JM/macros/" sasautos);        *Change %JM macro location accordingly;
                                                                           *You may need to replace / by \ depending on your environment;
options  mprint nodate center;
%let output = "/sas/user/u100683/JM/Output/Example_4ReferenceManual.lst";  *Change for the desired output location accordingly;
 
%JM(Data = mydata.aidsvertical,
    DataStructure = vertical,
    SubjectVar = patient,
	LongiType  = normal,
    LongiTimeModel = linear, 
    LongiVar = cd4,
    LongiTimevar = obstime, 
    LongiTimeInter = ddi, 
    LongiGMatrix = un,
    EventTimeVar = totime, 
	EventTimeStart  = fromtime,
    EventVar = death2, 
    EventVal = 1,
    EventModel = piecewise,
    EventCovariates = ddi,
    NLMIXEDOptions	= gconv=0 qpoints=5,	
    OutputParameters = mydata.Example4ReferenceManual_param,
    SharedParam	= current_value,
    ListingFile = &output,
	AdditionalOptions = calculateexectime);
