* Examples used in %JM Macro Reference Manual;
* Alberto Garcia-Hernandez, Dimitris Rizopoulow;

* This program fits the model of example 6;

libname  mydata  '/sas/user/u100683/JM/Data';                              *Change data location accordingly.;
                                                                           *You may need to replace / by \ depending on your environment;
options mautolocdisplay mautosource 
        sasautos = ("/sas/user/u100683/JM/macros/" sasautos);       * Change %JM macro location accordingly;
                                                                    * You may need to replace / by \ depending on your environment;
options  mprint nodate center;
%let folder = /sas/user/u100683/JM/Output/;                         * Change for the desired output location accordingly;
                                                                    * Do NOT quote the folder;
                                                                    * You may need to replace / by \ depending on your environment;
%macro transform_current_value_term(cvt=);
((&cvt.- 10)**2)
%mend;

%JM(Data = mydata.aids,
    SubjectVar = patient,
	LongiType  = normal,
    LongiTimeModel = linear, 
    LongiVar = cd4,
    LongiTimevar = obstime, 
    LongiTimeInter = ddi, 
    LongiGMatrix = un,
    EventTimeVar = time, 
    EventVar = death, 
    EventVal = 1,
    EventModel = piecewise,
    EventCovariates = ddi,
	InitialParameters = disjoint,
    NLMIXEDOptions	= gconv=0 qpoints=5,	
    OutputParameters = mydata.Example6_param,
    SharedParam	= current_value,
    ListingFile = "&folder.Example_6ReferenceManual.lst",
	AdditionalOptions = calculateexectime,
	Transform_Current_Value_Term = YES
);
