* Examples used in %JM Macro Reference Manual;
* Alberto Garcia-Hernandez, Dimitris Rizopoulow;

* This program fits a Poisson Longitudinal Distribution;

libname  mydata  '/sas/user/u100683/JM/Data';                              *Change data location accordingly.;
                                                                           *You may need to replace / by \ depending on your environment;
options mautolocdisplay mautosource 
        sasautos = ("/sas/user/u100683/JM/macros/" sasautos);              *Change %JM macro location accordingly;
                                                                           *You may need to replace / by \ depending on your environment;

options  mprint nodate center;
%let folder = /sas/user/u100683/JM/Output/;                                 * Change for the desired output location accordingly;
                                                                            * Do NOT quote the folder;
                                                                            * You may need to replace / by \ depending on your environment;
                                                   

*In this dataset we create cd4_as_Poisson assuming it is more or less a Poisson variable with offset called offset_var;

data mydata.aidspoisson;
set mydata.aids;
cd4_as_Poisson=int(cd4/3);
offset_var=max(int(rand('NORMAL',20,2)),cd4);
run;


%JM(Data = mydata.aidspoisson,
    SubjectVar = patient,
	LongiType  = poisson,
    LongiTimeModel = linear, 
     LongiVar = cd4_as_Poisson,
    LongiTimevar = obstime, 
    LongiGMatrix = un,
	LongiTimeInter = ddi, 
	 LongiModelOptions = method=quad(qpoints=3),
	 LongiOffset=offset_var,
    EventTimeVar = time, 
    EventVar = death, 
    EventVal = 1,
    EventModel = piecewise,
    EventCovariates = ddi,
	NLMIXEDOptions	= qpoints=3,	
    OutputParameters = mydata.Example7RM_param,
    SharedParam	= current_value,
    AdditionalOptions = calculateexectime);
